Bug 180390 - net/ekiga3: pkg autoremove suggests deleting avahi-app, which is needed to run ekiga3
net/ekiga3: pkg autoremove suggests deleting avahi-app, which is needed to ru...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: gnome
Depends on:
  Show dependency treegraph
Reported: 2013-07-08 17:30 UTC by jozze.zepl
Modified: 2013-07-11 10:20 UTC (History)
0 users

See Also:

file.diff (435 bytes, patch)
2013-07-08 17:30 UTC, jozze.zepl
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jozze.zepl 2013-07-08 17:30:01 UTC
Upon installing net/ekiga3 port, I run it, and everything seems to be in order (it runs). After running routinely

# pkg autoremove

the PKGNG suggests deleting net/avahi-app, since it's only included as a build dependency. I removed it, but I actually needed it to run, so then ekiga3 cannot run.

Fix: I suggest changing the status of net/avahi-app from BUILD_DEPENDS to RUN_DEPENDS. For this I wrote a patch for the port's Makefile, which I included in the report, and the revised Makefile will hopefully be applied to the ports tree.

Patch attached with submission follows:
How-To-Repeat: Install the net/ekiga3 port with PKGNG, and AVAHI support enabled. Then run

# pkg -y autoremove

and try to run ekiga3 from the terminal.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-09 05:41:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-07-11 10:11:36 UTC
Author: kwm
Date: Thu Jul 11 09:11:28 2013
New Revision: 322760
URL: http://svnweb.freebsd.org/changeset/ports/322760

  Make avahi-app a lib_depend, ekiga needs it on run time.
  PR:		ports/180390
  Submitted by:	Joze Zobec <jozze.zepl@gmail.com>


Modified: head/net/ekiga3/Makefile
--- head/net/ekiga3/Makefile	Thu Jul 11 08:11:51 2013	(r322759)
+++ head/net/ekiga3/Makefile	Thu Jul 11 09:11:28 2013	(r322760)
@@ -3,7 +3,7 @@
 PORTNAME=	ekiga3
 MASTER_SITES=	http://www.ekiga.org/admin/downloads/latest/sources/ekiga_${PORTVERSION}/
@@ -110,7 +110,7 @@ CONFIGURE_ARGS+=	--disable-eds
 CONFIGURE_ARGS+=	--enable-avahi
-BUILD_DEPENDS+=		${LOCALBASE}/libdata/pkgconfig/avahi-client.pc:${PORTSDIR}/net/avahi-app
+LIB_DEPENDS+=		avahi-client:${PORTSDIR}/net/avahi-app
 CONFIGURE_ARGS+=	--disable-avahi
svn-ports-all@freebsd.org mailing list
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2013-07-11 10:11:42 UTC
State Changed
From-To: open->closed

Committed a different fix, thanks for reporting!